> For the complete documentation index, see [llms.txt](https://docs.feedbackly.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.feedbackly.com/master/responses/notes.md).

# Notes

## Question types

This table clarifies the different outputs per question type

| Question type | Description                                                                                                                                                                                                                                                                                                                                                                             | Field                                                  | Example                                                                                        |                                                                                                                                                                                                                                |
| ------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------ | ---------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| Button        | <p>Smileys / Satisfaction</p><p></p><p>The values are in the scale of 0-1.</p><p></p><p>5 buttons: 0, 0.25, 0.5, 0.75, 1</p><p>4 buttons: 0, 0.33, 0.66, 1</p>                                                                                                                                                                                                                          | <p>valueNum: number</p><p>answer: number</p>           | <p>valueNum: 0.5</p><p>answer: 0.5</p>                                                         |                                                                                                                                                                                                                                |
| NPS           | <p>NPS question</p><p>Numbers 0-10</p>                                                                                                                                                                                                                                                                                                                                                  | <p>valueNum: number</p><p>answer: number</p>           | <p>valueNum: 4</p><p>answer: 4</p>                                                             |                                                                                                                                                                                                                                |
| Word          | <p>Category / Selection / Multiselect</p><p></p><p>Answer will either be a string value if the </p><p>question is single select or an array of strings </p><p>if the question is a multi-select.</p><p></p><p>valueArray will contain the unique id's of the </p><p>choice(s) selected while answer contains the </p><p>string representations of the choice in the language chosen</p> | <p>valueArray: string\[]</p><p></p><p>answer: string   | string\[]</p>                                                                                  | <p><strong>Multiselect:</strong> </p><p>valueArray: \['sdfs3, 'asdas1]</p><p></p><p>answer: \['Apples', 'Oranges']</p><p></p><p><strong>Single select:</strong> </p><p>valueArray: \['533rf']</p><p></p><p>answer: 'Pears'</p> |
| Image         | <p>Category / Selection by image</p><p></p><p>Same as above</p>                                                                                                                                                                                                                                                                                                                         | Same as above                                          | Same as above, outputs image labels                                                            |                                                                                                                                                                                                                                |
| Slider        | <p>Slider question. These questions contain multiple responses depending on the field responded to. In order to connect these answers together, you look at the <em>responseChainId</em> and the <em>questionId</em></p><p></p><p>Each field contains a <em>fieldId</em>  and a <em>fieldName</em> to distinguish the responses apart.</p><p></p><p>The scale is 0-10.</p>              | <p>valueNum: number</p><p></p><p>answer: number</p>    | <p>valueNum: 4</p><p></p><p>answer: 4</p>                                                      |                                                                                                                                                                                                                                |
| Contact       | Contact form question. Like Slider question, this question might have multiple responses per question.                                                                                                                                                                                                                                                                                  | <p>valueString: string</p><p>answer: string</p>        | <p>valueString: "<example@example.com>"</p><p></p><p>answer:</p><p>"<example@example.com>"</p> |                                                                                                                                                                                                                                |
| Text          | Open-ended field.                                                                                                                                                                                                                                                                                                                                                                       | <p>valueString: string</p><p></p><p>answer: string</p> | <p>valueString: "I was happy"</p><p></p><p>answer: "I was happy"</p>                           |                                                                                                                                                                                                                                |

### Pagination

For endpoints that returns multiple objects, pagination is done by providing the URL's to get the next objects (if more are available)

| Field    | Example                                            |
| -------- | -------------------------------------------------- |
| next     | <https://api.feedbackly.com/v5/responses?skip=400> |
| previous | <https://api.feedbackly.com/v5/responses?skip=0>   |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.feedbackly.com/master/responses/notes.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
